import z from 'zod';
import {
  userBooksMovementConversionProviderBodyParser,
  userBooksMovementConversionProviderParamsParser,
} from './parsers';

export enum UserBooksMovementConversionProviderBatchIdBrand {
  _ = '',
}
export type UserBooksMovementConversionProviderBatchId = string & UserBooksMovementConversionProviderBatchIdBrand;

export type UserBooksMovementConversionProviderParams = z.infer<typeof userBooksMovementConversionProviderParamsParser>;
export type UserBooksMovementConversionProviderBody = z.infer<typeof userBooksMovementConversionProviderBodyParser>;
